Create report - Account money - Mercado Pago Developers
Create report

This endpoint allows to manually create a new report within a specific date range. In case of success, the request will return a response with status 202.

POST

https://api.mercadopago.com/v1/account/settlement_report
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Body
begin_date
string

REQUIRED

This field indicates the start date and time of the interval for the report, in the UTC time zone (indicated by the 'Z' at the end, which stands for 'Zulu time' or Coordinated Universal Time).
end_date
string

REQUIRED

This field indicates the end date and time of the interval for the report, in the UTC time zone (indicated by the 'Z' at the end, which stands for 'Zulu time' or Coordinated Universal Time).
Response parameters
id
number
This field indicates the unique identifier of the report generation task.
account_id
number
Unique identifier of the account associated with the report.
begin_date
string
It is the start date and time of the report interval, in the UTC time zone (indicated by the 'Z' at the end, which stands for 'Zulu time' or Coordinated Universal Time).
created_from
string
This field indicates how the report was generated, being 'manual' for manually generated reports and 'schedule' for scheduled reports.
Errors

400Bad request.

invalid_begin_date

You must specify 'begin_date' parameter.

invalid_end_date

You must specify 'end_date' parameter.

end_date_before_begin_date

Begin date should be before end date.

401Unauthorized.

Invalid token

Invalid token.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/account/settlement_report'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    -d '{
  "begin_date": "2019-05-01T00:00:00Z",
  "end_date": "2019-06-01T00:00:00Z"
}'
Response
{
  "id": 99336983670,
  "account_id": 167345291,
  "begin_date": "2022-08-01T03:00:00Z",
  "created_from": "manual",
  "currency_id": "ARS",
  "end_date": "2022-08-08T02:59:59Z",
  "generation_date": "2024-02-16T15:55:22.258-04:00",
  "is_reserve": false,
  "is_test": false,
  "last_modified": "2024-02-16T15:55:22.261-04:00",
  "report_id": 17012160,
  "retries": 0,
  "status": "pending",
  "sub_type": "null",
  "user_id": 123456789,
  "format": "CSV",
  "report_type": "settlement"
}